Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class DepthComponentInt

    java.lang.Object
      javax.media.j3d.SceneGraphObject
          javax.media.j3d.NodeComponent
              javax.media.j3d.DepthComponent
                  javax.media.j3d.DepthComponentInt

    public class DepthComponentInt

extends DepthComponent

A 2D array of depth (Z) values in integer format. Values are in the range [0,(2**N)-1], where N is the pixel depth of the Z buffer.

Field Summary

Fields inherited from class javax.media.j3d.DepthComponent
`ALLOW_DATA_READ, ALLOW_SIZE_READ`

Constructor Summary
`DepthComponentInt(int width, int height)` Constructs a new integer depth (z-buffer) component object with the specified width and height.

Method Summary
`NodeComponent` | `cloneNodeComponent()` Deprecated. replaced with cloneNodeComponent(boolean forceDuplicate)
`void` | `getDepthData(int[] depthData)` Copies the depth data from this object to the specified array.
`void` | `setDepthData(int[] depthData)` Copies the specified depth data to this object.

Methods inherited from class javax.media.j3d.DepthComponent
`getHeight, getWidth`

Methods inherited from class javax.media.j3d.NodeComponent
`cloneNodeComponent, duplicateNodeComponent, duplicateNodeComponent, getDuplicateOnCloneTree, setDuplicateOnCloneTree`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setUserData, updateNodeReferences`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DepthComponentInt

    public DepthComponentInt(int width,
                             int height)

  Constructs a new integer depth (z-buffer) component object with the specified width and height.

  Parameters:
    `width` - the width of the array of depth values
    `height` - the height of the array of depth values

Method Detail

### setDepthData

    public void setDepthData(int[] depthData)

  Copies the specified depth data to this object.

  Parameters:
    `depthData` - array of ints containing the depth data
  Throws:
    `RestrictedAccessException` - if the method is called when this object is part of live or compiled scene graph.

### getDepthData

    public void getDepthData(int[] depthData)

  Copies the depth data from this object to the specified array. The array must be large enough to hold all of the ints.

  Parameters:
    `depthData` - array of ints that will receive a copy of the depth data
  Throws:
    `CapabilityNotSetException` - if appropriate capability is not set and this object is part of live or compiled scene graph

### cloneNodeComponent

    public NodeComponent cloneNodeComponent()

  Deprecated. replaced with cloneNodeComponent(boolean forceDuplicate)

  Overrides:
    `cloneNodeComponent` in class `NodeComponent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD